WebSphereSharedLibrary (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.websphere.WebSphereSharedLibrary interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.websphere
Interface WebSphereSharedLibrary

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface WebSphereSharedLibrary

extends LogicalElement

Represents a WebSphere Shared Library defined for a cell, node or server

Naming Rules:
  0="cell,name" 1="node,name" 2="server,name"
Persistable:
  true
Table Name:
  WASSHLIB
Display Name:
  name

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`WebSphereCell` | `getCell()`
`java.lang.String` | `getClasspath()`
`java.lang.String` | `getName()`
`java.lang.String` | `getNativepath()`
`WebSphereNode` | `getNode()`
`WebSphereServer` | `getServer()`
`boolean` | `hasCell()`
`boolean` | `hasClasspath()`
`boolean` | `hasName()`
`boolean` | `hasNativepath()`
`boolean` | `hasNode()`
`boolean` | `hasServer()`
`void` | `setCell(WebSphereCell cell)`
`void` | `setClasspath(java.lang.String classPath)`
`void` | `setName(java.lang.String name)`
`void` | `setNativepath(java.lang.String nativePath)`
`void` | `setNode(WebSphereNode node)`
`void` | `setServer(WebSphereServer srv)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getCell

    WebSphereCell getCell()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.DeployedTo" reverse="false"

### setCell

    void setCell(WebSphereCell cell)

### hasCell

    boolean hasCell()

### getNode

    WebSphereNode getNode()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="true"

### setNode

    void setNode(WebSphereNode node)

### hasNode

    boolean hasNode()

### getServer

    WebSphereServer getServer()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="true"

### setServer

    void setServer(WebSphereServer srv)

### hasServer

    boolean hasServer()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasName

    boolean hasName()

### getClasspath

    java.lang.String getClasspath()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setClasspath

    void setClasspath(java.lang.String classPath)

### hasClasspath

    boolean hasClasspath()

### getNativepath

    java.lang.String getNativepath()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setNativepath

    void setNativepath(java.lang.String nativePath)

### hasNativepath

    boolean hasNativepath()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD